#AdminPanel {
    position: absolute;
    overflow-y: auto;
    background-color: var(--secondary);
    width: 100%;
    height: 100dvh;
    bottom: 0;
    padding: 10px 30px 20px 30px;
    box-shadow: 0 3px 8px rgba(0, 0, 0, 0.12);
    transition: 0.3s ease-in-out;
    transition-property: opacity, transform;
}


.option_icon {
    background-color: var(--main);
    color: var(--secondary);
    font-size: 35px;
    padding: 30px;
    border-radius: 50px;
    height: fit-content;
    width: fit-content;
}

.OptionName {
    font-size: 30px;
    color: var(--main);
    font-weight: 300;
}

#Tools {
    margin-top: 40px;

    transition: 0.3s ease-in-out;
    transition-property: opacity, transform;
}

.aTool {
    position: relative;
    border-radius: 10px;
    padding: 70px 50px;
    min-height: 0px;
    background-color: var(--hover);
    color: white;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.087);
    width: fit-content;
    cursor: pointer;
    transition: 0.2s ease-in-out;
    transition-property: transform;
}

.aTool:hover {
    opacity: .8;
    transform: scale(1.02) translateY(-10px);
}

.locked {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(235, 235, 235, 0.651);
    backdrop-filter: blur(8px);
    z-index: 999999;
    color: var(--main);
    border-radius: 10px;
}

.EditElement {
    padding: 10px 30px;
    color: white;
    background-color: var(--main);
    border-radius: 50px;
    font-size: 20px;
    margin-top: 20px;
}

.anAdminProduct {
    width: fit-content;
    height: fit-content;
    padding-left: 30px;
    background-color: var(--hover);
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.081);
    border-radius: var(--radius);
}

.anAdminProduct .TopProduct {
    position: relative;
    background-image: url(https://www.westman-atelier.com/cdn/shop/files/Vital-Skincare-Concealer_Product_L1_WA.jpg?format=pjpg&v=1723504118&width=1200);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    height: 250px;
    width: 100%;
    padding: 20px 40px;
    border-radius: var(--radius);
}

#ProductsSection {
    position: relative;
    flex: 1;
    width: 100%;
    overflow-y: auto;
    margin-top: 50px;
    transition: 0.3s ease-in-out;
    transition-property: opacity, transform;
}

.quantity {
    color: var(--main);
}

.PanelAddCategory {
    position: fixed;
    inset: 0;
    backdrop-filter: blur(5px);
    background-color: rgba(235, 235, 235, 0.445);
    width: 100%;
    height: 100dvh;
    z-index: 9999999;
}

.aPanel {
    height: 100%;
    width: 100%;
    transition: 0.3s ease-in-out;
    transition-property: opacity, transform;
}

.aTitleAdd {
    font-size: 50px;
    color: var(--main);
}

.contentSection {
    padding: 20px 30px;
}

.contentSection input {
    padding: 14px 30px;
    outline: none;
    border: 1px solid transparent;
    font-size: 20px;
    width: 100% !important;
}

.form_btn {
    margin-top: 20px;
    width: 100%;
    position: relative;
    background-color: var(--main);
    padding: 15px 30px;
    font-size: 22px;
    cursor: pointer;
    color: var(--hover);
    text-align: center;

}

.form_btn:hover {
    opacity: .7;
}

.categoryList {
    position: relative;
    width: 100%;
    max-height: 400px;
    min-height: 400px;
}

.aCategoryDatom {
    margin-top: 20px;
    position: relative;
    width: 100%;
    padding: 15px 30px;
    background-color: white;
    font-size: 20px;
    cursor: pointer;
    height: fit-content;
}

.aCategoryDatom:hover {
    background-color: var(--hover);
}

.PanelAdd {
    transition: 0.3s ease-in-out;
    transition-property: opacity, transform;
}


#ProductPanel {
    width: 100%;
    height: 100%;
    transition: 0.3s ease-in-out;
    transition-property: opacity, transform;
}

.elementTitle {
    font-weight: 600;
    font-size: 20px;
    color: var(--main);
}

.elementTitle span {
    font-weight: 300;
    font-size: 20px;
}


.PanelAdd {
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: 9999999;
    inset: 0;
    background-color: rgba(0, 0, 0, 0.227);
}

.panelContent,
.panelCategory {
    position: relative;
    background-color: var(--secondary);
    border-radius: var(--radius);
    position: relative;
    height: fit-content;
    width: fit-content;
    padding: 40px 20px 20px 20px;
}

.contentSection {
    margin-top: 40px;
    height: 100%;
}

.inputsSection {
    position: relative;
    width: 100%;
    height: fit-content;
}

.NextAdd,
.SaveAdd {
    background-color: var(--main);
    color: var(--hover);
    padding: 10px 30px;
    text-align: center;
    border-radius: 50px;
    font-size: 20px;
    width: 95%;
    cursor: pointer;
}

.NextAdd:hover,
.SaveAdd:hover {
    opacity: .6;
}

.topStorePart {
    position: relative;
    width: 100%;
}

.imgUploadBox {
    background-color: var(--hover);
    padding: 10px 20px;
    border-radius: var(--radius);
    color: var(--main);
    border: 1px solid var(--main);
    cursor: pointer;
    width: 100%;
    position: relative;
}

.imgUploadBox:hover {
    opacity: .7;
}

.uploadit {
    font-size: 35px;
    color: var(--main);
}

.loading {
    position: absolute;
    z-index: 9999999999;
    inset: 0;
    height: 100%;
    border-radius: var(--radius);
    width: 100%;
    background-color: var(--secondary);
}

.uploaded {
    background-color: var(--main) !important;
}

.uploaded p {
    color: var(--hover) !important;
}

.uploaded i {

    color: var(--hover) !important;
}

@media (max-width:768px) {
    .panelContent,
    .panelCategory {
        border-radius: 0 !important;
        width: 100% !important;
        height: 100dvh !important;
    }

    .PanelAdd {
        height: 100dvh !important;
        width: 100% !important;
    }

    .addProduct {
        font-size: 17px !important;
    }

    .anAdminProduct .TopProduct {
        width: 100%;
    }

    .anAdminProduct {
        flex-direction: column !important;
        padding-left: 0 !important;
        width: 95% !important;
    }

    #Tools {
        flex-direction: column !important;
        width: 100%;
    }

    .aTool {
        width: 95% !important;
    }

    #AdminPanel {
        height: 100dvh !important;
        border-radius: 0 !important;
    }

}

.topBarInfo{
    flex: 1;
    overflow-y: auto;
}
.multi-trans {
    transition: 0.2s ease-in-out;
    transition-property: opacity, transform;
}